Base Distribution - Story # 40316

Status: Postponed Priority: Must have

Author: Robert Lemke Category: Administration
Created: 2012-08-28 Assigned To: Andreas Foérthner
Updated: 2012-09-18 Due date:

Subiject: As a content editor, | don't want anybody else to see the content of my personal workspace
Description

- only live workspace is visible without login
- personal workspace only visible for respective user

History

#1 - 2012-08-28 11:59 - Robert Lemke
- Subject changed from [ As a content editor, | don't want anybody else to see the content of my personal workspace to As a content editor, | don't

want anybody else to see the content of my personal workspace

#2 - 2012-08-28 12:00 - Robert Lemke
- Parent task set to #40299

#3 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

#4 - 2012-09-03 12:37 - Aske Ertmann

Related to https://review.typo3.org/#/c/13414/

#5 - 2012-09-07 10:11 - Sebastian Kurfuerst

- Tracker changed from Task to Story

- Project changed from TYPOGS.Neos to Base Distribution
- Assigned To set to Andreas Férthner

- Priority changed from Should have to Must have
#6 - 2012-09-07 10:13 - Sebastian Kurfuerst
- Category set to Administration

- Target version set to Sprint 10 (1.0 TP1)

#7 - 2012-09-07 10:15 - Sebastian Kurfuerst
- Parent task deleted (#40299)

#8 - 2012-09-07 10:16 - Sebastian Kurfuerst
- Position deleted (34)

- Position setto 17

#9 - 2012-09-08 15:45 - Rens Admiraal

we shortly tested, but didn't make it full, suggestion is to change the TYPO3.TYPOS3CR policy file to something like:

resources:

entities:
https://review.typo3.org/#/c/13414/

TYPO3_TYPO3CR_Domain_Model_Node:
TYPO3_TYPO3CR_Domain_Model_Node_NotInMyOrLiveWorkspace: this.workspace.name =
current.securityContext.party.preferences.currentWorkspaceName && this.workspace.name !='live’

roles:
TYPO3CR_Administrator: []

acls:
TYPO3CR_Administrator:
entities:

TYPO3_TYPO3CR_Domain_Model_Node_NotInMyOrLiveWorkspace: GRANT

#10 - 2012-09-17 11:38 - Sebastian Kurfuerst
- Status changed from New to Postponed
- Position deleted (20)

- Position set to 20

#11 - 2012-09-18 08:56 - Robert Lemke

- Target version deleted (Sprint 10 (1.0 TP1))
- Position deleted (17)

- Position set to 49
